import { SnapshotIn } from "mobx-state-tree";
export declare const Item: import("mobx-state-tree/dist/types/complex-types/model").IModelType<{
    id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
    pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
    data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
    index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
}, {
    readonly checked: boolean;
    readonly modified: boolean;
    readonly moved: boolean;
    readonly locals: object;
    readonly checkable: boolean;
    readonly draggable: boolean;
} & {
    toggle(): void;
    change(values: object, savePristine?: boolean | undefined): void;
    reset(): void;
}, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized>;
export declare type IItem = typeof Item.Type;
export declare type SItem = SnapshotIn<typeof Item>;
export declare const ListStore: import("mobx-state-tree/dist/types/complex-types/model").IModelType<{
    id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
    path: import("mobx-state-tree/dist/core/type/type").IType<string | undefined, string, string>;
    storeType: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
    hasRemoteData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").ISimpleType<boolean>, [undefined]>;
    data: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
    updatedAt: import("mobx-state-tree/dist/core/type/type").IType<number | undefined, number, number>;
    pristine: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
    parentId: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").ISimpleType<string>, [undefined]>;
    action: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
    dialogOpen: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
    dialogData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
    drawerOpen: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
    drawerData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
} & {
    items: import("mobx-state-tree/dist/types/complex-types/array").IArrayType<import("mobx-state-tree/dist/types/complex-types/model").IModelType<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized>>;
    selectedItems: import("mobx-state-tree/dist/types/complex-types/array").IArrayType<import("mobx-state-tree/dist/types/utility-types/reference").IReferenceType<import("mobx-state-tree/dist/types/complex-types/model").IModelType<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized>>>;
    primaryField: import("mobx-state-tree/dist/core/type/type").IType<string | undefined, string, string>;
    orderBy: import("mobx-state-tree/dist/core/type/type").IType<string | undefined, string, string>;
    orderDir: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/types/utility-types/union").ITypeUnion<"desc" | "asc", "desc" | "asc", "desc" | "asc">, [undefined]>;
    draggable: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
    dragging: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
    multiple: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
    selectable: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
    itemCheckableOn: import("mobx-state-tree/dist/core/type/type").IType<string | undefined, string, string>;
    itemDraggableOn: import("mobx-state-tree/dist/core/type/type").IType<string | undefined, string, string>;
    hideCheckToggler: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
}, {
    readonly parentStore: (import("mobx-state-tree/dist/types/complex-types/model").ModelInstanceTypeProps<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        path: import("mobx-state-tree/dist/core/type/type").IType<string | undefined, string, string>;
        storeType: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        hasRemoteData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").ISimpleType<boolean>, [undefined]>;
        data: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
        updatedAt: import("mobx-state-tree/dist/core/type/type").IType<number | undefined, number, number>;
        pristine: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
        parentId: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").ISimpleType<string>, [undefined]>;
        action: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
        dialogOpen: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
        dialogData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
        drawerOpen: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
        drawerData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
    }> & any & {
        initData(data?: object): void;
        reset(): void;
        updateData(data?: object, tag?: object | undefined): void;
        setCurrentAction(action: object): void;
        openDialog(ctx: any, additonal?: object | undefined, callback?: ((ret: any) => void) | undefined): void;
        closeDialog(result?: any): void;
        openDrawer(ctx: any, additonal?: object | undefined, callback?: ((ret: any) => void) | undefined): void;
        closeDrawer(result?: any): void;
    } & import("mobx-state-tree/dist/core/node/node-utils").IStateTreeNode<import("mobx-state-tree/dist/types/complex-types/model").IModelType<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        path: import("mobx-state-tree/dist/core/type/type").IType<string | undefined, string, string>;
        storeType: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        hasRemoteData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").ISimpleType<boolean>, [undefined]>;
        data: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
        updatedAt: import("mobx-state-tree/dist/core/type/type").IType<number | undefined, number, number>;
        pristine: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
        parentId: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").ISimpleType<string>, [undefined]>;
        action: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
        dialogOpen: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
        dialogData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
        drawerOpen: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
        drawerData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
    }, any & {
        initData(data?: object): void;
        reset(): void;
        updateData(data?: object, tag?: object | undefined): void;
        setCurrentAction(action: object): void;
        openDialog(ctx: any, additonal?: object | undefined, callback?: ((ret: any) => void) | undefined): void;
        closeDialog(result?: any): void;
        openDrawer(ctx: any, additonal?: object | undefined, callback?: ((ret: any) => void) | undefined): void;
        closeDrawer(result?: any): void;
    }, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized>>) | null;
} & {
    initData(data?: object): void;
    reset(): void;
    updateData(data?: object, tag?: object | undefined): void;
    setCurrentAction(action: object): void;
    openDialog(ctx: any, additonal?: object | undefined, callback?: ((ret: any) => void) | undefined): void;
    closeDialog(result?: any): void;
    openDrawer(ctx: any, additonal?: object | undefined, callback?: ((ret: any) => void) | undefined): void;
    closeDrawer(result?: any): void;
} & {
    readonly allChecked: boolean;
    readonly checkableItems: (import("mobx-state-tree/dist/types/complex-types/model").ModelInstanceTypeProps<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }> & {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    } & import("mobx-state-tree/dist/core/node/node-utils").IStateTreeNode<import("mobx-state-tree/dist/types/complex-types/model").IModelType<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized>>)[];
    readonly unSelectedItems: (import("mobx-state-tree/dist/types/complex-types/model").ModelInstanceTypeProps<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }> & {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    } & import("mobx-state-tree/dist/core/node/node-utils").IStateTreeNode<import("mobx-state-tree/dist/types/complex-types/model").IModelType<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized>>)[];
    isSelected: (item: import("mobx-state-tree/dist/types/complex-types/model").ModelInstanceTypeProps<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }> & {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    } & import("mobx-state-tree/dist/core/node/node-utils").IStateTreeNode<import("mobx-state-tree/dist/types/complex-types/model").IModelType<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized>>) => boolean;
    readonly modified: number;
    readonly modifiedItems: (import("mobx-state-tree/dist/types/complex-types/model").ModelInstanceTypeProps<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }> & {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    } & import("mobx-state-tree/dist/core/node/node-utils").IStateTreeNode<import("mobx-state-tree/dist/types/complex-types/model").IModelType<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized>>)[];
    readonly moved: number;
    readonly movedItems: (import("mobx-state-tree/dist/types/complex-types/model").ModelInstanceTypeProps<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }> & {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    } & import("mobx-state-tree/dist/core/node/node-utils").IStateTreeNode<import("mobx-state-tree/dist/types/complex-types/model").IModelType<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized>>)[];
} & {
    update: (config: Partial<import("mobx-state-tree/dist/types/complex-types/model").ModelCreationType<import("mobx-state-tree/dist/types/complex-types/model").ExtractCFromProps<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        path: import("mobx-state-tree/dist/core/type/type").IType<string | undefined, string, string>;
        storeType: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        hasRemoteData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").ISimpleType<boolean>, [undefined]>;
        data: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
        updatedAt: import("mobx-state-tree/dist/core/type/type").IType<number | undefined, number, number>;
        pristine: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
        parentId: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").ISimpleType<string>, [undefined]>;
        action: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
        dialogOpen: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
        dialogData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
        drawerOpen: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
        drawerData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>, [undefined]>;
    } & {
        items: import("mobx-state-tree/dist/types/complex-types/array").IArrayType<import("mobx-state-tree/dist/types/complex-types/model").IModelType<{
            id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
            pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
            data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
            index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
            newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        }, {
            readonly checked: boolean;
            readonly modified: boolean;
            readonly moved: boolean;
            readonly locals: object;
            readonly checkable: boolean;
            readonly draggable: boolean;
        } & {
            toggle(): void;
            change(values: object, savePristine?: boolean | undefined): void;
            reset(): void;
        }, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized>>;
        selectedItems: import("mobx-state-tree/dist/types/complex-types/array").IArrayType<import("mobx-state-tree/dist/types/utility-types/reference").IReferenceType<import("mobx-state-tree/dist/types/complex-types/model").IModelType<{
            id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
            pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
            data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
            index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
            newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        }, {
            readonly checked: boolean;
            readonly modified: boolean;
            readonly moved: boolean;
            readonly locals: object;
            readonly checkable: boolean;
            readonly draggable: boolean;
        } & {
            toggle(): void;
            change(values: object, savePristine?: boolean | undefined): void;
            reset(): void;
        }, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized>>>;
        primaryField: import("mobx-state-tree/dist/core/type/type").IType<string | undefined, string, string>;
        orderBy: import("mobx-state-tree/dist/core/type/type").IType<string | undefined, string, string>;
        orderDir: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/types/utility-types/union").ITypeUnion<"desc" | "asc", "desc" | "asc", "desc" | "asc">, [undefined]>;
        draggable: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
        dragging: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
        multiple: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
        selectable: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
        itemCheckableOn: import("mobx-state-tree/dist/core/type/type").IType<string | undefined, string, string>;
        itemDraggableOn: import("mobx-state-tree/dist/core/type/type").IType<string | undefined, string, string>;
        hideCheckToggler: import("mobx-state-tree/dist/core/type/type").IType<boolean | undefined, boolean, boolean>;
    }>>>) => void;
    initItems: (items: object[]) => void;
    updateSelected: (selected: any[], valueField?: string | undefined) => void;
    toggleAll: () => void;
    toggle: (item: import("mobx-state-tree/dist/types/complex-types/model").ModelInstanceTypeProps<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }> & {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    } & import("mobx-state-tree/dist/core/node/node-utils").IStateTreeNode<import("mobx-state-tree/dist/types/complex-types/model").IModelType<{
        id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
        pristine: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        data: import("mobx-state-tree/dist/core/type/type").IType<any, any, any>;
        index: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
        newIndex: import("mobx-state-tree/dist/core/type/type").ISimpleType<number>;
    }, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: object;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized>>) => void;
    clear: () => void;
    setOrderByInfo: (key: string, direction: "desc" | "asc") => void;
    reset: () => void;
    toggleDragging: () => void;
    stopDragging: () => void;
    exchange: (fromIndex: number, toIndex: number) => void;
}, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized, import("mobx-state-tree/dist/types/utility-types/snapshotProcessor")._NotCustomized>;
export declare type IListStore = typeof ListStore.Type;
export declare type SListStore = SnapshotIn<typeof ListStore>;
